//---------------------------------------------------------------------------

#ifndef CCheckMonnaieH
#define CCheckMonnaieH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include "CComboBx.h"
#include "CDevise.h"
#include "CtrlStd.h"
//---------------------------------------------------------------------------
class PACKAGE_CTRLSTD CCheckMonnaie : public CComboBox
{
__published:
  __property bool Euro = {read = GetEuro,write = SetEuro,default = true,stored = false};
private:
  __property Items;
  __property ItemIndex;
  __property OnDrawItem;
  __property Style;
  bool __fastcall GetEuro();
  void __fastcall SetEuro(bool euro);
  virtual void __fastcall SetParent(TWinControl* AParent);
  void __fastcall DrawItemMonnaie(TWinControl *Control,int Index,const TRect &Rect,TOwnerDrawState State);
  const CDevise& __fastcall GetDevise();
protected:
public:
  __fastcall CCheckMonnaie(TComponent* Owner);
  __property CDevise& Devise = {read = GetDevise};
};
//---------------------------------------------------------------------------
#endif
 